//////////////////////////////////////
// START of File: C0_STACK.HPP
//////////////////////////////////////

#ifndef C0_STACK_HPP
#define C0_STACK_HPP

//-------------------------------------------------------------------
// COPYRIGHT NOTICE:  This code is protected by Copyright!
//
// Copyright (c) 1994 through 1997 by DPC Technology Corporation.
// All rights reserved. 
//
// See files "cf_copyr.txt" and "cf_licen.txt" for details of 
// copyright and license specifications, and contact information.
//-------------------------------------------------------------------

//
// Master Header File Listing:
//
// Usage:   #include	<cf_api/c0_stack.hpp>
			// Memory "stack" objects (independent of any base-framework).


class	cf_StackNode;

class CF_EXPORT	cf_Stack
{

public:

	cf_Stack();
	~cf_Stack();

   	void		push (void* item);
	void*		pop ();
	void*		top ();

private:

	cf_StackNode*		head_;

};

#endif

//////////////////////////////////////
// END of File: C0_STACK.HPP
//////////////////////////////////////
			
