//////////////////////////////////////
// START of File: CE3_AREA.HPP
//////////////////////////////////////

#ifndef CE3_AREA_HPP
#define CE3_AREA_HPP

//===================================================================
//
// COPYRIGHT NOTICE:  This code is protected by Copyright!
//
// Copyright (c) 1994, 1995, 1996, 1997 by DPC Technology.
// All rights reserved.
//
// See files "cf_copyr.txt" and "cf_licen.txt" for details of
// copyright and license specifications, and contact information.
//
//===================================================================

// Master Header File Listing:
// Usage:   #include    <cf_api/ce3_area.hpp>
            // Class cf_eng_Area2D builds a 2D/3D (integral) Area 
            // Chart -- and then displays it in 2D (flat) Mode:
            // Class cf_eng_Area3D builds a 2D/3D (integral) Area 
            // Chart -- and then displays it in 3D (depth) Mode:

//--------------------------------------------------------------------
// Include Chart Framework class or ID defs/headers this file needs.
//--------------------------------------------------------------------
class       cf_eng_Area2D;
#include    <cf_api/ce2_area.hpp>
            // Which will pull-in MANY base-class objects/methods!...

class CF_EXPORT   cf_eng_Area3D : public cf_eng_Area2D
{

public:

    cf_eng_Area3D();

    virtual         ~cf_eng_Area3D();
                    // Virtual d-tor is critical, since owner
                    // object uses pointers to *base* type !

};  // End of cf_eng_Area3D declaration.

#endif      // Terminates include re-definition protection

//////////////////////////////////////
// END of File: CE3_AREA.HPP
//////////////////////////////////////


            
