#include <zaf.hpp>
#include "event3.hpp"

ZafDataPersistence::DataConstructor ZAF_FARDATA UserPersist::dataTable[] =
{
	// --- Data constructors ---
	{ 3105, ZafStringData::className, ZafStringData::Read },
	{ 3119, ZafPaletteData::className, ZafPaletteData::Read },
	{ 0, ZafBitmapData::className, ZafBitmapData::Read },

	{ ID_END, 0, 0 }
};

ZafObjectPersistence::ObjectConstructor ZAF_FARDATA UserPersist::objectTable[] =
{
	// --- Object constructors ---
	{ 1007, ZafWindow::className, ZafWindow::Read },
	{ 1, ZafBorder::className, ZafBorder::Read },
	{ 1006, ZafSystemButton::className, ZafSystemButton::Read },
	{ 17, ZafTitle::className, ZafTitle::Read },
	{ 11, ZafPrompt::className, ZafPrompt::Read },

	{ ID_END, 0, 0 }
};

ZafObjectPersistence::UserFunction ZAF_FARDATA UserPersist::userFunctionTable[] =
{
	// --- User functions ---

	{ 0, 0 }
};

ZafObjectPersistence::CompareFunction ZAF_FARDATA UserPersist::compareFunctionTable[] =
{
	// --- Compare functions ---

	{ 0, 0 }
};

ZafObjectPersistence::UserObject ZAF_FARDATA UserPersist::userObjectTable[] =
{
	// --- User objects ---

	{ 0, 0 }
};
