#include <zaf.hpp>
#include "gmgr.hpp"

ZafDataPersistence::DataConstructor ZAF_FARDATA UserPersist::dataTable[] =
{
	// --- Data constructors ---
	{ 3105, ZafStringData::className, ZafStringData::Read },

	{ ID_END, 0, 0 }
};

ZafObjectPersistence::ObjectConstructor ZAF_FARDATA UserPersist::objectTable[] =
{
	// --- Object constructors ---
	{ 3500, MainWindow::className, MainWindow::Read },
	{ 1, ZafBorder::className, ZafBorder::Read },
	{ 7, ZafMaximizeButton::className, ZafMaximizeButton::Read },
	{ 8, ZafMinimizeButton::className, ZafMinimizeButton::Read },
	{ 1006, ZafSystemButton::className, ZafSystemButton::Read },
	{ 17, ZafTitle::className, ZafTitle::Read },

	{ ID_END, 0, 0 }
};

ZafObjectPersistence::UserFunction ZAF_FARDATA UserPersist::userFunctionTable[] =
{
	// --- User functions ---

	{ 0, 0 }
};

ZafObjectPersistence::CompareFunction ZAF_FARDATA UserPersist::compareFunctionTable[] =
{
	// --- Compare functions ---

	{ 0, 0 }
};

ZafObjectPersistence::UserObject ZAF_FARDATA UserPersist::userObjectTable[] =
{
	// --- User objects ---

	{ 0, 0 }
};
