#include <zaf.hpp>
#include "p_table5.hpp"

ZafDataPersistence::DataConstructor ZAF_FARDATA UserPersist::dataTable[] =
{
	// --- Data constructors ---
	{ 3105, ZafStringData::className, ZafStringData::Read },
	{ 3119, ZafPaletteData::className, ZafPaletteData::Read },
	{ 3110, ZafScrollData::className, ZafScrollData::Read },

	{ ID_END, 0, 0 }
};

ZafObjectPersistence::ObjectConstructor ZAF_FARDATA UserPersist::objectTable[] =
{
	// --- Object constructors ---
	{ 3500, MainWindow::className, MainWindow::Read },
	{ 1, ZafBorder::className, ZafBorder::Read },
	{ 7, ZafMaximizeButton::className, ZafMaximizeButton::Read },
	{ 8, ZafMinimizeButton::className, ZafMinimizeButton::Read },
	{ 1006, ZafSystemButton::className, ZafSystemButton::Read },
	{ 17, ZafTitle::className, ZafTitle::Read },
	{ 3500, ButtonTable::className, ButtonTable::Read },
	{ 1023, ZafTableHeader::className, ZafTableHeader::Read },
	{ 11, ZafPrompt::className, ZafPrompt::Read },
	{ 3500, RowHeader::className, RowHeader::Read },
	{ 1005, ZafScrollBar::className, ZafScrollBar::Read },
	{ 3500, ButtonRecord::className, ButtonRecord::Read },

	{ ID_END, 0, 0 }
};

ZafObjectPersistence::UserFunction ZAF_FARDATA UserPersist::userFunctionTable[] =
{
	// --- User functions ---

	{ 0, 0 }
};

ZafObjectPersistence::CompareFunction ZAF_FARDATA UserPersist::compareFunctionTable[] =
{
	// --- Compare functions ---

	{ 0, 0 }
};

ZafObjectPersistence::UserObject ZAF_FARDATA UserPersist::userObjectTable[] =
{
	// --- User objects ---

	{ 0, 0 }
};
