//	Zinc Application Framework - Z_COORD.HPP
//	COPYRIGHT (C) 1990-1998.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

#if !defined(Z_COORD_HPP)
#define Z_COORD_HPP
#include <z_env.hpp>

enum ZafCoordinateType
{
	ZAF_CELL	  			= 0,
	ZAF_MINICELL  		= 1,
	ZAF_PIXEL 	  		= 2,
	ZAF_POINTS	  		= 3,
	ZAF_TWIPS 	  		= 4,
	ZAF_INCH_1000  	= 5,
	ZAF_MILLIMETER_10 = 6,
	ZAF_COORD_DEFAULT	= -1
};

#endif // Z_COORD_HPP
