//	Zinc Application Framework - Z_NUMID.HPP
//	COPYRIGHT (C) 1990-1998.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

#if !defined(Z_NUMID_HPP)
#define Z_NUMID_HPP
#include <z_env.hpp>

// --------------------------------------------------------------------------
// ----- ZafNumberID --------------------------------------------------------
// --------------------------------------------------------------------------

typedef ZafInt16 ZafNumberID;

const ZafNumberID ZAF_NUMID_BORDER				= -1;
const ZafNumberID ZAF_NUMID_MAXIMIZE			= -2;
const ZafNumberID ZAF_NUMID_MINIMIZE			= -3;
const ZafNumberID ZAF_NUMID_SYSTEM				= -4;
const ZafNumberID ZAF_NUMID_TITLE				= -5;
const ZafNumberID ZAF_NUMID_HZ_SCROLL			= -6;
const ZafNumberID ZAF_NUMID_VT_SCROLL			= -7;
const ZafNumberID ZAF_NUMID_C_SCROLL			= -8;
const ZafNumberID ZAF_NUMID_GEOMETRY			= -9;
const ZafNumberID ZAF_NUMID_CLOSE				= -10;
const ZafNumberID ZAF_NUMID_PULL_DOWN_MENU		= -11;
const ZafNumberID ZAF_NUMID_SYSTEM_BUTTON_MENU	= -12;
const ZafNumberID ZAF_NUMID_MIN_ICON			= -13;
const ZafNumberID ZAF_NUMID_COLUMN_HEADER		= -14;
const ZafNumberID ZAF_NUMID_ROW_HEADER			= -15;
const ZafNumberID ZAF_NUMID_CORNER_HEADER		= -16;

const ZafNumberID ZAF_NUMID_OPT_RESTORE			= -17;
const ZafNumberID ZAF_NUMID_OPT_MOVE			= -18;
const ZafNumberID ZAF_NUMID_OPT_SIZE			= -19;
const ZafNumberID ZAF_NUMID_OPT_MINIMIZE		= -20;
const ZafNumberID ZAF_NUMID_OPT_MAXIMIZE		= -21;
const ZafNumberID ZAF_NUMID_OPT_CLOSE			= -22;
const ZafNumberID ZAF_NUMID_OPT_SWITCH			= -23;

const ZafNumberID ZAF_NUMID_NULL				= 0x0000;

#endif // Z_NUMID_HPP

