//////////////////////////////////////
// START of File: CE3_LINE.HPP
//////////////////////////////////////

#ifndef CE3_LINE_HPP
#define CE3_LINE_HPP

//===================================================================
//
// COPYRIGHT NOTICE:  This code is protected by Copyright!
//
// Copyright (c) 1994, 1995, 1996, 1997 by DPC Technology.
// All rights reserved. 
//
// See files "cf_copyr.txt" and "cf_licen.txt" for details of 
// copyright and license specifications, and contact information.
//
//===================================================================

// Master Header File Listing:
// Usage:   #include    <cf_api/ce2_pser.hpp>
            // Class cf_eng_Line2D builds a 2D/3D Line Series 
            // Chart -- and then displays it in 2D (flat) Mode:
            // Class cf_eng_Line3D builds a 2D/3D Line Series 
            // Chart -- and then displays it in 3D (depth) Mode:

class       cf_eng_Line2D;
#include    <cf_api/ce2_line.hpp>
            // Which will pull-in MANY base-class objects/methods!...

class CF_EXPORT   cf_eng_Line3D : public cf_eng_Line2D 
{

public:

    cf_eng_Line3D();

    virtual         ~cf_eng_Line3D();
                    // Virtual d-tor is critical, since owner
                    // object uses pointers to *base* type !

};  // End of cf_eng_Line3D declaration.


#endif      // Terminates include re-definition protection

//////////////////////////////////////
// END of File: CE3_LINE.HPP
//////////////////////////////////////


            
