//////////////////////////////////////
// START of File: CE3_PSER.HPP
//////////////////////////////////////

#ifndef CE3_PSER_HPP
#define CE3_PSER_HPP

//===================================================================
//
// COPYRIGHT NOTICE:  This code is protected by Copyright!
//
// Copyright (c) 1994, 1995, 1996, 1997 by DPC Technology.
// All rights reserved. 
//
// See files "cf_copyr.txt" and "cf_licen.txt" for details of 
// copyright and license specifications, and contact information.
//
//===================================================================

//
// Master Header File Listing:
//
// #include    <cf_api/ce3_pser.hpp>
// Class cf_eng_PointSer2D builds a 2D/3D Point Series Chart:
//              -- and then displays it in 2D (flat) Mode:
// Class cf_eng_PointSer3D builds a 2D/3D Point Series Chart:
//              -- and then displays it in 3D (depth) Mode:
//

//--------------------------------------------------------------------
// Include Chart Framework class or ID defs/headers this file needs.
// Paths are relative to the IDE's (global) include path: ~/cfrz
//--------------------------------------------------------------------
class       cf_ChartModel;
class       cf_ChartEngine; 
class       cf_eng_CartXYZ;
#include    <cf_api/ce1_ccor.hpp>

class       cf_eng_PointSer2D; 
#include    <cf_api/ce2_pser.hpp>
            // Which will pull-in MANY base-class objects/methods!...


class CF_EXPORT   cf_eng_PointSer3D : 
        public 
        cf_eng_PointSer2D 
{

public:

    cf_eng_PointSer3D();

    virtual         ~cf_eng_PointSer3D();
                    // Virtual d-tor is critical, since owner
                    // object uses pointers to *base* type !

};  // End of cf_eng_PointSer3D declaration.


#endif      // Terminates include re-definition protection

//////////////////////////////////////
// END of File: CE3_PSER.HPP
//////////////////////////////////////


            
