//////////////////////////////////////
// START of File: B0_DSBMP.CPP
//////////////////////////////////////

//===================================================================
//
// COPYRIGHT NOTICE:  This code is protected by Copyright!
//
// Copyright (c) 1994, 1995, 1996, 1997 by DPC Technology.
// All rights reserved. 
//
// See files "cf_copyr.h" and "cf_licen.h" for details of 
// copyright and license specifications, and contact information.
//
//===================================================================

/*
 *	b0_dsbmp.cpp -- Zinc version
 */
#include	<cf_api/bf_defs.h>
#include	<cf_api/b0_color.hpp>
#include    <cf_api/b0_dsbmp.hpp>

//
// Map the Chart Framework "Base Framework Bitmap" Object onto 
// the Underlying Framework's "Base Framework Bitmap" object:
//
bf_2DBitmap
    ::bf_2DBitmap( bf_Display     * /* p_bf_dspUseThisDisplay */,
                    char*           /* szBitmapFileName */ )
            {}


bf_2DBitmap
    ::~bf_2DBitmap() 
        {}

cf_2DRect  
    bf_2DBitmap
        ::bmp_size()
{
    // We need to do a two-stage return...
	cf_2DRect cf_2drReturnVal( 0, 0, 0, 0 );   // i.e. not yet implemented!
	return( cf_2drReturnVal );
        // ... because some compilers (e.g. HPUX) complain of
        // constructors inside of return-statement param-lists.
}


int
    bf_2DBitmap
        ::bmp_height()
{
	return 0;
}


int
    bf_2DBitmap
        ::bmp_width()
{
	return 0;
}

//
// End of bf_2DBitmap Pseudo-Implementation/Mapping.
//




//
// Map the Chart Framework "Base Framework BitmapDisplay" Object onto 
// the Underlying Framework's "Base Framework BitmapDisplay" object:
//
bf_2DBitmapDisplay
    ::bf_2DBitmapDisplay(  bf_Display*    /* p_bf_dspUseThisDisplay */ , 
                            int             /* iBitmapWidth */ , 
                            int             /* iBitmapHeight */ )
            {}

bf_2DBitmapDisplay
    ::~bf_2DBitmapDisplay() 
        {}

bf_Color
    bf_2DBitmapDisplay
        ::bdsp_pixel( int /* iX */, int /* iY */ )
{ 
	return (*new bf_Color);
}


bf_2DBitmap*
    bf_2DBitmapDisplay
        ::bdsp_setBitmap( bf_2DBitmap  * /*p_bf_2dbmpSource*/ )
{
	return (NULL);
}


BOOL
    bf_2DBitmapDisplay
        ::bdsp_bitmap(  bf_2DBitmap    * /*p_bf_2dbmpSource*/,
                        cf_2DPoint     /*bf_2dpPlaceAt*/,
                        cf_2DRect      /*bf_2drSizedBy*/ )
{
	return (true);
}


//
// End of bf_2DBitmapDisplay Pseudo-Implementation/Mapping.
//



//////////////////////////////////////
// END of File: B0_DSBMP.CPP
//////////////////////////////////////




