#include <zaf.hpp>
#include "event2.hpp"

ZafDataPersistence::DataConstructor ZAF_FARDATA UserPersist::dataTable[] =
{
	// --- Data constructors ---
	{ 3105, ZafStringData::className, ZafStringData::Read },

	{ ID_END, 0, 0 }
};

ZafObjectPersistence::ObjectConstructor ZAF_FARDATA UserPersist::objectTable[] =
{
	// --- Object constructors ---
	{ 3500, EventWindow::className, EventWindow::Read },
	{ 1, ZafBorder::className, ZafBorder::Read },
	{ 7, ZafMaximizeButton::className, ZafMaximizeButton::Read },
	{ 8, ZafMinimizeButton::className, ZafMinimizeButton::Read },
	{ 1006, ZafSystemButton::className, ZafSystemButton::Read },
	{ 17, ZafTitle::className, ZafTitle::Read },
	{ 1004, ZafPullDownMenu::className, ZafPullDownMenu::Read },
	{ 1003, ZafPullDownItem::className, ZafPullDownItem::Read },
	{ 1002, ZafPopUpMenu::className, ZafPopUpMenu::Read },
	{ 19, ZafPopUpItem::className, ZafPopUpItem::Read },
	{ 13, ZafString::className, ZafString::Read },
	{ 3500, BeepButton::className, BeepButton::Read },
	{ 2, ZafButton::className, ZafButton::Read },
	{ 11, ZafPrompt::className, ZafPrompt::Read },

	{ ID_END, 0, 0 }
};

ZafObjectPersistence::UserFunction ZAF_FARDATA UserPersist::userFunctionTable[] =
{
	// --- User functions ---
	{ ZAF_ITEXT("StringFunction"), StringFunction },
	{ ZAF_ITEXT("ExitFunction"), ExitFunction },

	{ 0, 0 }
};

ZafObjectPersistence::CompareFunction ZAF_FARDATA UserPersist::compareFunctionTable[] =
{
	// --- Compare functions ---

	{ 0, 0 }
};

ZafObjectPersistence::UserObject ZAF_FARDATA UserPersist::userObjectTable[] =
{
	// --- User objects ---

	{ 0, 0 }
};
