#include <z_win.hpp>

class UserPersist : public ZafObjectPersistence
{
public:
	UserPersist(ZafFileSystem *fileSystem) :
		ZafObjectPersistence(fileSystem, dataTable, objectTable, userFunctionTable, compareFunctionTable, userObjectTable) { }

protected:
	static DataConstructor ZAF_FARDATA dataTable[];
	static ObjectConstructor ZAF_FARDATA objectTable[];
	static UserFunction ZAF_FARDATA userFunctionTable[];
	static CompareFunction ZAF_FARDATA compareFunctionTable[];
	static UserObject ZAF_FARDATA userObjectTable[];
};

