// COPYRIGHT (C) 1998.  All Rights Reserved. - PRINT.HPP
// Zinc Software Incorporated.  Pleasant Grove, Utah  USA
// May be freely copied, used and distributed.

#include <z_print.hpp>
#include <z_win.hpp>

const ZafUserEvent PRINT_SETUP	= U_USER_FIRST;
const ZafUserEvent PRINT		= U_USER_FIRST + 1;
const ZafUserEvent PREV_PAGE	= U_USER_FIRST + 2;
const ZafUserEvent NEXT_PAGE	= U_USER_FIRST + 3;

class PrintWindow : public ZafWindow
{
public:
	PrintWindow(const ZafIChar *name, ZafObjectPersistence &persist);
	virtual ZafEventType Draw(const ZafEventStruct &event, ZafEventType ccode);
	virtual ZafEventType Event(const ZafEventStruct &event);

	void DrawPage(int pageNum, ZafDisplay *display);

protected:
	int currentPage;
	ZafButton *prevButton;
	ZafButton *nextButton;
	ZafPrinter printer;
};
