# ----- General -------------------------------------------------------------
DEBUG=off

SOURCE_FILES=sysmenu.cpp

# ----- Usage ---------------------------------------------------------------
usage:
	@type <<

Usage:

zmake dos16      (16 bit DOS with Pharlap)
zmake dos32      (32 bit DOS)
zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll)
<<

# ----- Clean ---------------------------------------------------------------
clean:
	z_clean

# ----- Platforms -----------------------------------------------------------
dos16: sys16.exe

dos32: sys32.exe

win16: wsys16.exe

win32: wsys32.exe

win32dll: wsys.exe

# ----- Targets -------------------------------------------------------------

!if "$(ZINC_COMPILER)" == "borland"
D16_DEFINITION_FILE=b16.def
!endif

#
# Build options for sys16.exe
#
TARGET=sys16.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
DEFINITION_FILE=$(D16_DEFINITION_FILE)
!include <zaf.mak>

#
# Build options for sys32.exe
#
TARGET=sys32.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wsys16.exe
#
TARGET=wsys16.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for wsys32.exe
#
TARGET=wsys32.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wsys1.exe
#
TARGET=wsys.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
DEFINITION_FILE=
!include <zaf.mak>

