//	Zinc Application Framework - Z_APPEVT.HPP
//	COPYRIGHT (C) 1990-1998.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

#if !defined(Z_APPEVT_HPP)
#define Z_APPEVT_HPP
#include <z_event.hpp>

// --------------------------------------------------------------------------
// ----- ZafApplicationEvent ------------------------------------------------
// --------------------------------------------------------------------------

const ZafApplicationEvent A_OPEN_DOCUMENT		= -3600;	// *text
const ZafApplicationEvent A_PRINT_DOCUMENT		= -3601;	// *text
const ZafApplicationEvent A_OPEN_WINDOW			= -3602;	// *text
const ZafApplicationEvent A_CLOSE_WINDOW		= -3603;	// *text

const ZafApplicationEvent A_RESET_I18N			= -3620;	// *text

const ZafApplicationEvent A_MINIMIZE_WINDOWS	= -3630;
const ZafApplicationEvent A_RESTORE_WINDOWS		= -3631;

const ZafApplicationEvent A_HELP_CONTEXT		= -3640;	// *text

#endif // Z_APPEVT_HPP

